/**
 * Diese Datei ist Teil von „Lernstrategien“ 
 * (Dateiname: „mod_splernstrategien“), einer Plugin-Software 
 * für das moodle LMS.
 *
 * Das moodle LMS ist lizenziert mit der GNU General Public 
 * License Version 3. Aktuelle Lizenzhinweise zu moodle 
 * finden Sie unter: https://moodledev.io/general/license.
 *
 * Das Plugin ist lizenziert mit der GNU General Public 
 * License Version 3. Anzugebender Urheber des Plugins ist
 * die „metromorph softworks GmbH im Auftrag von ORCA.nrw“.
 * Die Lizenzierung umfasst nicht die Inhalte, die auf der
 * Anwenderoberfläche des Plugins angezeigt werden; diese sind 
 * ihrerseits CC BY-SA 4.0 lizenziert.
 *
 * Sie sollten eine Kopie der GNU-Lizenz zusammen mit diesem 
 * Programm erhalten haben. Sie finden sie auch unter 
 * https://www.gnu.org/licenses. Die CC-Lizenz finden Sie
 * unter https://creativecommons.org/licenses/by-sa/4.0/deed.de.
 */

/**
 * JS-module for drag and drop.
 *
 * We use the sortable_list amd-module from moodle which depends on jquery.
 * Call the init-function with a class-name of a ul.
 * See http://componentlibrary.moodle.com/admin/tool/componentlibrary/docspage.php/moodle/javascript/sortable-list/
 * and https://github.com/moodle/moodle/blob/master/lib/amd/src/sortable_list.js
 * and template_265.mustache
 *
 * @module    mod_splernstrategien
 * @license   http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

define(['jquery', 'core/sortable_list'],
    function($, SortableList) {
        var getOrder = function(list) {
            let order = Array.prototype.map.call(list.children, (item) => {
                return item.id;
            });
            document.getElementById('result').value = order;
        };

        var handleDrop = function(list) {
            getOrder(list);
        };

        var putInOrder = function(list, order) {
            Array.prototype.map.call(order, (item) => {
                list.appendChild(document.getElementById(item));
            });
        };

        return {
            init: (className) => {
                var config = { };
                // Put in previous order after wrong answer
                if (document.getElementById('result').value != '') {
                    var order = document.getElementById('result').value.split(',');
                    const sortableLists = document.getElementsByClassName(className);
                    putInOrder(sortableLists[0], order);
                }
                var list = new SortableList('ul.' + className, config);
                $('ul.' + className + ' > *').on(SortableList.EVENTS.DRAGEND, function(evt, info) {
                    handleDrop(info.targetList[0]);
                });
                // Override for click-Menu entries
                list.getElementName = function(element) {
                    return $.Deferred().resolve(element.attr('data-name'));
                };
            }
        };
    }
);
