<?php
/**
 * Diese Datei ist Teil von „Lernstrategien“ 
 * (Dateiname: „mod_splernstrategien“), einer Plugin-Software 
 * für das moodle LMS.
 *
 * Das moodle LMS ist lizenziert mit der GNU General Public 
 * License Version 3. Aktuelle Lizenzhinweise zu moodle 
 * finden Sie unter: https://moodledev.io/general/license.
 *
 * Das Plugin ist lizenziert mit der GNU General Public 
 * License Version 3. Anzugebender Urheber des Plugins ist
 * die „metromorph softworks GmbH im Auftrag von ORCA.nrw“.
 * Die Lizenzierung umfasst nicht die Inhalte, die auf der
 * Anwenderoberfläche des Plugins angezeigt werden; diese sind 
 * ihrerseits CC BY-SA 4.0 lizenziert.
 *
 * Sie sollten eine Kopie der GNU-Lizenz zusammen mit diesem 
 * Programm erhalten haben. Sie finden sie auch unter 
 * https://www.gnu.org/licenses. Die CC-Lizenz finden Sie
 * unter https://creativecommons.org/licenses/by-sa/4.0/deed.de.
 */

namespace mod_splernstrategien;

defined('MOODLE_INTERNAL') || die();


/**
 * Simple wrapper of the initialization data for now.
 * 
 * Contains all the state-data which is to be written to the db 
 * on the first call of the plugin.
 * 
 * @package   mod_splernstrategien
 * @license   https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */
class states {
    
    /**
     * Initialize state data in the DB.
     * 
     * @param bool $print print stuff. \todo What?
     */
    public static function init($print) {
        global $DB;
        $table = "splernstrategien_modules";

        try {
            $transaction = $DB->start_delegated_transaction();
            $DB->delete_records($table);
            
            $a1 = [array(
                'moodle_id'=>1,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>1,
                'name'=>"E1, Einleitung, Ausgangsdatenerhebung, S. 1",
                'description'=>'Datenerhebung',
                'waysout'=>'2',
                'wayback'=>'0',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "geschlecht",
                                    "options": {
                                        "0": {
                                            "name": "weiblich"
                                        },
                                        "1": {
                                            "name": "maennlich"
                                        },
                                        "2": {
                                            "name": "divers"
                                        }
                                    }

                                },

                                "1": {
                                    "type": "select",
                                    "name": "abschluss",
                                    "options": {
                                        "0": {
                                            "name": "BachelorOfArts"
                                        },
                                        "1": {
                                            "name": "BachelorOfScience"
                                        },
                                        "2": {
                                            "name": "BachelorOfEducation"
                                        },
                                        "3": {
                                            "name": "BachleorOfLaws"
                                        },
                                        "4": {
                                            "name": "BachelorOfMusic"
                                        },
                                        "5": {
                                            "name": "BachelorOfMusicalArts"
                                        },
                                        "6": {
                                            "name": "MasterOfArts"
                                        },
                                        "7": {
                                            "name": "MasterOfEducation"
                                        },
                                        "8": {
                                            "name": "MasterOfEngineering"
                                        },
                                        "9": {
                                            "name": "MasterOfLaws"
                                        },
                                        "10": {
                                            "name": "MasterOfScience"
                                        },
                                        "11": {
                                            "name": "Diplom"
                                        },
                                        "12": {
                                            "name": "Staatsexamen"
                                        }

                                    }

                                }

                            }

                }',

                'template'=>'template_01',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a1);

            

            $a2 = [array(
                'moodle_id'=>2,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>2,
                'name'=>"E2, Einführung, S. 2",
                'description'=>'Einführung: Begrüßungsvideo',
                'waysout'=>'3',
                'wayback'=>'1',
                'template'=>'template_02',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a2);

            $a3 = [array(
                'moodle_id'=>3,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>3,
                'name'=>"E3, Einführung, S. 3",
                'description'=>'Abfrage: Anwendung Lernstrategien',
                'waysout'=>'4',
                'wayback'=>'2',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "skalenstufen",
                                    "options": {
                                        "0": {
                                            "name": "ss0"
                                        },
                                        "1": {
                                            "name": "ss1"
                                        },
                                        "2": {
                                            "name": "ss2"
                                        },
                                        "3": {
                                            "name": "ss3"
                                        },
                                        "4": {
                                            "name": "ss4"
                                        },
                                        "5": {
                                            "name": "ss5"
                                        },
                                        "6": {
                                            "name": "ss6"
                                        },
                                        "7": {
                                            "name": "ss7"
                                        },
                                        "8": {
                                            "name": "ss8"
                                        },
                                        "9": {
                                            "name": "ss9"
                                        },
                                        "10": {
                                            "name": "ss10"
                                        }
                                    }
                                }
                            }
                }',
                'template'=>'template_03',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a3);

            $a4 = [array(
                'moodle_id'=>4,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>4,
                'name'=>"E4, Einführung, S. 4",
                'description'=>'Antworten Studierende',
                'waysout'=>'5',
                'wayback'=>'3',
                'template'=>'template_04',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a4);

            $a5 = [array(
                'moodle_id'=>5,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>5,
                'name'=>"E5, Einführung, S. 5",
                'description'=>'Studie: Probleme beim Lernen',
                'waysout'=>'6',
                'wayback'=>'4',
                'template'=>'template_05',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a5);


            $a6 = [array(
                'moodle_id'=>6,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>6,
                'name'=>"E6, Einführung, S. 6",
                'description'=>'Häufigkeit von Lernproblemen',
                'waysout'=>'7',
                'wayback'=>'5',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "haeufigkeit",
                                    "options": {
                                        "0": {
                                            "name": "nie"
                                        },
                                        "1": {
                                            "name": "eherSelten"
                                        },
                                        "2": {
                                            "name": "abUndZu"
                                        },
                                        "3": {
                                            "name": "eherHaeufig"
                                        },
                                        "4": {
                                            "name": "staendig"
                                        }
                                    }
                                }
                            }
                }',
                'template'=>'template_06',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a6);


            $a7 = [array(
                'moodle_id'=>7,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>7,
                'name'=>"E7, Einführung, S. 7",
                'description'=>'Vorausblick auf die Einheit',
                'waysout'=>'15',
                'wayback'=>'6',
                'template'=>'template_07',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a7);

            $a15 = [array(
                'moodle_id'=>15,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>15,
                'name'=>"Moduluswahl",
                'description'=>'Modulauswahl',
                'waysout'=>'16,32,48,120',
                'wayback'=>'7',
                'template'=>'template_15',
                'end_strang'=>0, 'delay'=>0, 'type'=>'modulauswahl',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "problem",
                                    "options": {
                                        "0": {
                                          "name": "problemA",
                                          "out":"16"  
                                        },
                                        "1": {
                                          "name": "problemB",
                                          "out":"32"
                                        },
                                        "2": {
                                           "name": "wp",
                                           "out":"48"
                                        }
                                    }

                                }

                            }
                }'
            )];

            $DB->insert_records($table, $a15);

            $a119 = [array(
                'moodle_id'=>119,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>119,
                'name'=>"Modulauswahl",
                'description'=>'Virtual für Modulauswahl',
                'waysout'=>'120',
                'wayback'=>'15',
                'template'=>'',
                'end_strang'=>0, 'delay'=>0, 'type'=>'checkingTraces',
            )];

            $DB->insert_records($table, $a119);
            $a16 = [array(
                'moodle_id'=>16,
                'strang'=>1,
                'abschnitt'=>'1',
                'state'=>16,
                'name'=>"EP A, Abs. 1, S. 1, Videoaufgabe",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 1, Fehlende Motivation durch eine zu hohe Lernmenge',
                'waysout'=>'17',
                'wayback'=>'15',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "strategie0",
                                    "options": {
                                        "0": {
                                            "name": "nein0"
                                        },
                                        "1": {
                                            "name": "ja0"
                                        }
                                    }
                                },
                                "1": {
                                    "type": "radio",
                                    "name": "strategie1",
                                    "options": {
                                        "0": {
                                            "name": "nein1"
                                        },
                                        "1": {
                                            "name": "ja1"
                                        }
                                    }
                                },
                                "2": {
                                    "type": "radio",
                                    "name": "strategie2",
                                    "options": {
                                        "0": {
                                            "name": "nein2"
                                        },
                                        "1": {
                                            "name": "ja2"
                                        }
                                    }
                                },
                                "3": {
                                    "type": "radio",
                                    "name": "strategie3",
                                    "options": {
                                        "0": {
                                            "name": "nein3"
                                        },
                                        "1": {
                                            "name": "ja3"
                                        }
                                    }
                                }
                            }
                }',
                'template'=>'template_16',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage_video',
            )];

            $DB->insert_records($table, $a16);


            $a17 = [array(
                'moodle_id'=>17,
                'strang'=>1,
                'abschnitt'=>'1',
                'state'=>17,
                'name'=>"EP A, Abs. 1, S. 2, Auflösung + Modell",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 1',
                'waysout'=>'18',
                'wayback'=>'16',
                'template'=>'template_17',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a17);

            $a18 = [array(
                'moodle_id'=>18,
                'strang'=>1,
                'abschnitt'=>'2',
                'state'=>18,
                'name'=>"EP A, Abs. 2, S. 1, Rückmeldung",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 2',
                'waysout'=>'19',
                'wayback'=>'17',
                'template'=>'template_18',
                'end_strang'=>0, 'delay'=>0,
                'type'=>'check',
                'questions'=>'{
                            "check": {
                                "strategie0":"nein0",
                                "strategie1":"nein1",
                                "strategie2":"ja2",
                                "strategie3":"nein3"                       
                            }
                }'

            )];

            $DB->insert_records($table, $a18);

            $a19 = [array(
                'moodle_id'=>19,
                'strang'=>1,
                'abschnitt'=>'2',
                'state'=>19,
                'name'=>"EP A, Abs. 2, S. 2, Übung",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 2',
                'waysout'=>'20',
                'wayback'=>'18',
                'template'=>'template_19',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a19);

            $a20 = [array(
                'moodle_id'=>20,
                'strang'=>1,
                'abschnitt'=>'2',
                'state'=>20,
                'name'=>"EP A, Abs. 2, S. 3, Musterlösung",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 2',
                'waysout'=>'21',
                'wayback'=>'19',
                'template'=>'template_20',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a20);

            $a21 = [array(
                'moodle_id'=>21,
                'strang'=>1,
                'abschnitt'=>'3',
                'state'=>21,
                'name'=>"EP A, Abs. 3, S. 1, Lösung prüfen",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 3',
                'waysout'=>'22',
                'wayback'=>'20',
                'template'=>'template_21',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a21);

            $a22 = [array(
                'moodle_id'=>22,
                'strang'=>1,
                'abschnitt'=>'3',
                'state'=>22,
                'name'=>"EP A, Abs. 3, S. 2, Übung 2",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 3',
                'waysout'=>'23',
                'wayback'=>'21',
                'template'=>'template_22',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a22);

            $a23 = [array(
                'moodle_id'=>23,
                'strang'=>1,
                'abschnitt'=>'4',
                'state'=>23,
                'name'=>"EP A, Abs. 4, S. 1, Abfrage: Wurde das richtige Problem genannt?",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 4, waysout-fork: wenn Ja-25/falls Nein-24',
                'waysout'=>'24,25',
                'wayback'=>'22',
                'template'=>'template_23',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',   
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_23",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"25"  
                             },
                             "1": {
                                "name": "no",
                                "out":"24"
                             }
                          }
                       }
                  }
                }'

            )];

            $DB->insert_records($table, $a23);


            $a24 = [array(
                'moodle_id'=>24,
                'strang'=>1,
                'abschnitt'=>'4a',
                'state'=>24,
                'name'=>"EP A, Strang 1, Abschnitt 4a, Antwort korrigieren",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 4a',
                'waysout'=>'25',
                'wayback'=>'23',
                'template'=>'template_24',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a24);

            $a25 = [array(
                'moodle_id'=>25,
                'strang'=>1,
                'abschnitt'=>'5',
                'state'=>25,
                'name'=>"EP A, Strang 1, Abschnitt 5, S. 1, Implementation Intention formulieren",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 5',
                'waysout'=>'26',
                'wayback'=>'23',
                'template'=>'template_25',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a25);

            $a26 = [array(
                'moodle_id'=>26,
                'strang'=>1,
                'abschnitt'=>'6',
                'state'=>26,
                'name'=>"EP A, Strang 1, Abschnitt 6, S. 1, Implementation Intention ausdrücken/Literatur",
                'description'=>'Erwartungsproblem A, Strang 1, Abschnitt 6',
                'waysout'=>'27',
                'wayback'=>'25',
                'template'=>'template_26',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a26);

            $a27 = [array(
                'moodle_id'=>27,
                'strang'=>1,
                'abschnitt'=>'6',
                'state'=>27,
                'name'=>"EP A Ende",
                'description'=>'',
                'waysout'=>'119',
                'wayback'=>'26',
                'template'=>'template_27',
                'end_strang'=>1, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a27);

            $a32 = [array(
                'moodle_id'=>32,
                'strang'=>2,
                'abschnitt'=>'1',
                'state'=>32,
                'name'=>"EP B, Abs. 1, S. 1, Videoaufgabe",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 1, Fehlende Motivation aufgrund der Befürchtung, nicht fähig zu sein, die Lehnziele zu erreichen',
                'waysout'=>'33',
                'wayback'=>'15',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "strategie0B",
                                    "options": {
                                        "0": {
                                            "name": "nein0B"
                                        },
                                        "1": {
                                            "name": "ja0B"
                                        }
                                    }
                                },
                                "1": {
                                    "type": "radio",
                                    "name": "strategie1B",
                                    "options": {
                                        "0": {
                                            "name": "nein1B",
                                            "correct": "bool"
                                        },
                                        "1": {
                                            "name": "ja1B"
                                        }
                                    }
                                },
                                "2": {
                                    "type": "radio",
                                    "name": "strategie2B",
                                    "options": {
                                        "0": {
                                            "name": "nein2B",
                                            "correct": "bool"

                                        },
                                        "1": {
                                            "name": "ja2B"
                                        }
                                    }
                                },
                                "3": {
                                    "type": "radio",
                                    "name": "strategie3B",
                                    "options": {
                                        "0": {
                                            "name": "nein3B",
                                            "correct": "bool"
                                        },
                                        "1": {
                                            "name": "ja3B"
                                        }
                                    }
                                }
                            }
                }',

                'template'=>'template_32',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage_video',
            )];

            $DB->insert_records($table, $a32);

            $a33 = [array(
                'moodle_id'=>33,
                'strang'=>2,
                'abschnitt'=>'1',
                'state'=>33,
                'name'=>"EP B, Strang 2, Abs. 1, S. 2, Auflösung + Modell",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 1',
                'waysout'=>'34',
                'wayback'=>'32',
                'template'=>'template_33',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a33);

            $a34 = [array(
                'moodle_id'=>34,
                'strang'=>2,
                'abschnitt'=>'2',
                'state'=>34,
                'name'=>"EP B, Strang 2, Abs. 2, S. 1, Rückmeldung",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 2',
                'waysout'=>'35',
                'wayback'=>'33',
                'template'=>'template_34',
                'end_strang'=>0, 'delay'=>0,
                'type'=>'check',
                'questions'=>'{
                            "check": {
                                "strategie0B":"nein0B",
                                "strategie1B":"nein1B",
                                "strategie2B":"nein2B",
                                "strategie3B":"ja3B"
                            }
                }'

            )];

            $DB->insert_records($table, $a34);

            $a35 = [array(
                'moodle_id'=>35,
                'strang'=>2,
                'abschnitt'=>'2',
                'state'=>35,
                'name'=>"EP B, Strang 2, Abs. 2, S. 2, Übung",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 2',
                'waysout'=>'36',
                'wayback'=>'34',
                'template'=>'template_35',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a35);

            $a36 = [array(
                'moodle_id'=>36,
                'strang'=>2,
                'abschnitt'=>'2',
                'state'=>36,
                'name'=>"EP B, Strang 2, Abs. 2, S. 3, Podcasts",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 2',
                'waysout'=>'37',
                'wayback'=>'35',
                'template'=>'template_36',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a36);

            $a37 = [array(
                'moodle_id'=>37,
                'strang'=>2,
                'abschnitt'=>'2',
                'state'=>37,
                'name'=>"EP B, Strang 2, Abs. 2, S. 4, Notieren der Fähigkeiten/Stärken",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 2',
                'waysout'=>'38',
                'wayback'=>'36',
                'template'=>'template_37',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a37);

            $a38 = [array(
                'moodle_id'=>38,
                'strang'=>2,
                'abschnitt'=>'3',
                'state'=>38,
                'name'=>"EP B, Strang 2, Abs. 3, S. 1, Übung 2",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 3',
                'waysout'=>'39',
                'wayback'=>'37',
                'template'=>'template_38',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a38);


            $a39 = [array(
                'moodle_id'=>39,
                'strang'=>2,
                'abschnitt'=>'3',
                'state'=>39,
                'name'=>"EP B, Strang 2, Abs. 3, S. 2, Auswahl der angegebenen Fähigkeiten/Stärken",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 3',
                'waysout'=>'40',
                'wayback'=>'38',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "faehigkeiten",
                                    "options": {
                                        "0": {
                                            "name": "faehigkeit1"
                                        },
                                        "1": {
                                            "name": "faehigkeit2"
                                        },
                                        "2": {
                                            "name": "faehigkeit3"
                                        }

                                    }
                                }
                            }
                }',
                'template'=>'template_39',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a39);


            $a40 = [array(
                'moodle_id'=>40,
                'strang'=>2,
                'abschnitt'=>'3',
                'state'=>40,
                'name'=>"EP B, Strang 2, Abs. 3, S. 3, Anpassmöglichkeiten des Notierten",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 3',
                'waysout'=>'41',
                'wayback'=>'39',
                'template'=>'template_40',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a40);

            $a41 = [array(
                'moodle_id'=>41,
                'strang'=>2,
                'abschnitt'=>'4',
                'state'=>41,
                'name'=>"EP B, Strang 2, Abschnitt 4, S. 1",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 4',
                'waysout'=>'42',
                'wayback'=>'40',
                'template'=>'template_41',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a41);

            $a42 = [array(
                'moodle_id'=>42,
                'strang'=>2,
                'abschnitt'=>'4',
                'state'=>42,
                'name'=>"EP B, Strang 2, Abschnitt 4, S. 2, Endpunkt des Stranges 2",
                'description'=>'Erwartungsproblem B, Strang 2, Abschnitt 4',
                'waysout'=>'119',
                'wayback'=>'41',
                'template'=>'template_42',
                'end_strang'=>1, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a42);


            $a48 = [array(
                'moodle_id'=>48,
                'strang'=>3,
                'abschnitt'=>'1',
                'state'=>48,
                'name'=>"WP, Strang 3, Abs. 1, S. 1, Videoaufgabe",
                'description'=>'Wertproblem, Strang 3, Abschnitt 1, Fehlende Motivation, weil Lernstoff als langweilig wahrgenommen wird',
                'waysout'=>'49',
                'wayback'=>'15',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "strategie0WP",
                                    "options": {
                                        "0": {
                                            "name": "nein0WP"
                                        },
                                        "1": {
                                            "name": "ja0WP"
                                        }
                                    }
                                },
                                "1": {
                                    "type": "radio",
                                    "name": "strategie1WP",
                                    "options": {
                                        "0": {
                                            "name": "nein1WP"
                                        },
                                        "1": {
                                            "name": "ja1WP"
                                        }
                                    }
                                },
                                "2": {
                                    "type": "radio",
                                    "name": "strategie2WP",
                                    "options": {
                                        "0": {
                                            "name": "nein2WP"
                                        },
                                        "1": {
                                            "name": "ja2WP"
                                        }
                                    }
                                },
                                "3": {
                                    "type": "radio",
                                    "name": "strategie3WP",
                                    "options": {
                                        "0": {
                                            "name": "nein3WP"
                                        },
                                        "1": {
                                            "name": "ja3WP"
                                        }
                                    }
                                }
                            }
                }',
                'template'=>'template_48',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage_video',
            )];

            $DB->insert_records($table, $a48);

            $a49 = [array(
                'moodle_id'=>49,
                'strang'=>3,
                'abschnitt'=>'1',
                'state'=>49,
                'name'=>"WP, Strang 3, Abs. 1, S. 2, Auflösung + Modell",
                'description'=>'Wertproblem, Strang 3, Abschnitt 1',
                'waysout'=>'50',
                'wayback'=>'48',
                'template'=>'template_49',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a49);

            $a50 = [array(
                'moodle_id'=>50,
                'strang'=>3,
                'abschnitt'=>'2',
                'state'=>50,
                'name'=>"WP, Strang 3, Abs. 2, S. 1, Rückmeldung",
                'description'=>'Wertproblem, Strang 3, Abschnitt 2',
                'waysout'=>'51',
                'wayback'=>'49',
                'template'=>'template_50',
                'end_strang'=>0, 'delay'=>0,
                'type'=>'check',
                'questions'=>'{
                            "check": {
                                "strategie0WP":"nein0WP",
                                "strategie1WP":"ja1WP",
                                "strategie2WP":"nein2WP",
                                "strategie3WP":"nein3WP"
                            }
                }'
            )];

            $DB->insert_records($table, $a50);

            $a51 = [array(
                'moodle_id'=>51,
                'strang'=>3,
                'abschnitt'=>'2',
                'state'=>51,
                'name'=>"WP, Strang 3, Abs. 2, S. 2, Eintragen von Ablenkern",
                'description'=>'Wertproblem, Strang 3, Abschnitt 2',
                'waysout'=>'52',
                'wayback'=>'50',
                'template'=>'template_51',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a51);


            $a52 = [array(
                'moodle_id'=>52,
                'strang'=>3,
                'abschnitt'=>'3',
                'state'=>52,
                'name'=>"WP, Strang 3, Abs. 3, S. 1, meistgenannte Ablenker",
                'description'=>'Wertproblem, Strang 3, Abschnitt 3',
                'waysout'=>'521',
                'wayback'=>'51',
                'questions'=>'{
                            "data": {
                }',
                'template'=>'template_52',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a52);

            $a521 = [array(
                'moodle_id'=>521,
                'strang'=>3,
                'abschnitt'=>'3',
                'state'=>521,
                'name'=>"WP, Strang 3, Abs. 3, S. 1, meistgenannte Ablenker",
                'description'=>'Wertproblem, Strang 3, Abschnitt 3',
                'waysout'=>'522',
                'wayback'=>'52',
                'template'=>'template_521',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a521);

            $a522 = [array(
                'moodle_id'=>522,
                'strang'=>3,
                'abschnitt'=>'3',
                'state'=>522,
                'name'=>"WP, Strang 3, Abs. 3, S. 1, meistgenannte Ablenker",
                'description'=>'Wertproblem, Strang 3, Abschnitt 3',
                'waysout'=>'53',
                'wayback'=>'521',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "strategie1Bewertung",
                                    "options": {
                                        "1": {
                                            "name": "s1b1"
                                        },
                                        "2": {
                                            "name": "s1b2"
                                        },
                                        "3": {
                                            "name": "s1b3"
                                        },
                                        "4": {
                                            "name": "s1b4"
                                        },
                                        "5": {
                                            "name": "s1b5"
                                        },
                                        "6": {
                                            "name": "s1b6"
                                        },
                                        "7": {
                                            "name": "s1b7"
                                        },
                                        "8": {
                                            "name": "s1b8"
                                        },
                                        "9": {
                                            "name": "s1b9"
                                        },
                                        "10": {
                                            "name": "s1b10",
                                            "default": "checked"
                                        },
                                        "11": {
                                            "name": "s1b11"
                                        },
                                        "12": {
                                            "name": "s1b12"
                                        },
                                        "13": {
                                            "name": "s1b13"
                                        },
                                        "14": {
                                            "name": "s1b14"
                                        },
                                        "15": {
                                            "name": "s1b15"
                                        },
                                        "16": {
                                            "name": "s1b16"
                                        },
                                        "17": {
                                            "name": "s1b17"
                                        },
                                        "18": {
                                            "name": "s1b18"
                                        },
                                        "19": {
                                            "name": "s1b19"
                                        },
                                        "20": {
                                            "name": "s1b20"
                                        }
                                    }
                                },
                                "1": {
                                    "type": "radio",
                                    "name": "strategie2Bewertung",
                                    "options": {
                                        "1": {
                                            "name": "s2b1"
                                        },
                                        "2": {
                                            "name": "s2b2"
                                        },
                                        "3": {
                                            "name": "s2b3"
                                        },
                                        "4": {
                                            "name": "s2b4"
                                        },
                                        "5": {
                                            "name": "s2b5"
                                        },
                                        "6": {
                                            "name": "s2b6"
                                        },
                                        "7": {
                                            "name": "s2b7"
                                        },
                                        "8": {
                                            "name": "s2b8"
                                        },
                                        "9": {
                                            "name": "s2b9"
                                        },
                                        "10": {
                                            "name": "s2b10",
                                            "default": "checked"
                                        },
                                        "11": {
                                            "name": "s2b11"
                                        },
                                        "12": {
                                            "name": "s2b12"
                                        },
                                        "13": {
                                            "name": "s2b13"
                                        },
                                        "14": {
                                            "name": "s2b14"
                                        },
                                        "15": {
                                            "name": "s2b15"
                                        },
                                        "16": {
                                            "name": "s2b16"
                                        },
                                        "17": {
                                            "name": "s2b17"
                                        },
                                        "18": {
                                            "name": "s2b18"
                                        },
                                        "19": {
                                            "name": "s2b19"
                                        },
                                        "20": {
                                            "name": "s2b20"
                                        }

                                    }
                                },
                                "2": {
                                    "type": "radio",
                                    "name": "strategie3Bewertung",
                                    "options": {
                                        "1": {
                                            "name": "s3b1"
                                        },
                                        "2": {
                                            "name": "s3b2"
                                        },
                                        "3": {
                                            "name": "s3b3"
                                        },
                                        "4": {
                                            "name": "s3b4"
                                        },
                                        "5": {
                                            "name": "s3b5"
                                        },
                                        "6": {
                                            "name": "s3b6"
                                        },
                                        "7": {
                                            "name": "s3b7"
                                        },
                                        "8": {
                                            "name": "s3b8"
                                        },
                                        "9": {
                                            "name": "s3b9"
                                        },
                                        "10": {
                                            "name": "s3b10",
                                            "default": "checked"
                                        },
                                        "11": {
                                            "name": "s3b11"
                                        },
                                        "12": {
                                            "name": "s3b12"
                                        },
                                        "13": {
                                            "name": "s3b13"
                                        },
                                        "14": {
                                            "name": "s3b14"
                                        },
                                        "15": {
                                            "name": "s3b15"
                                        },
                                        "16": {
                                            "name": "s3b16"
                                        },
                                        "17": {
                                            "name": "s3b17"
                                        },
                                        "18": {
                                            "name": "s3b18"
                                        },
                                        "19": {
                                            "name": "s3b19"
                                        },
                                        "20": {
                                            "name": "s3b20"
                                        }

                                    }
                                }
                            }
                }',
                'template'=>'template_522',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a522);

            $a53 = [array(
                'moodle_id'=>53,
                'strang'=>3,
                'abschnitt'=>'4',
                'state'=>53,
                'name'=>"WP, Strang 3, Abs. 4, S. 1, Übung",
                'description'=>'Wertproblem, Strang 3, Abschnitt 4',
                'waysout'=>'54',
                'wayback'=>'52',
                'template'=>'template_53',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a53);

            $a54 = [array(
                'moodle_id'=>54,
                'strang'=>3,
                'abschnitt'=>'4',
                'state'=>54,
                'name'=>"WP, Strang 3, Abs. 4, S. 2, Relevanzprüfung",
                'description'=>'Wertproblem, Strang 3, Abschnitt 4, fork: ja 55/nein 70',
                'waysout'=>'55,70',
                'wayback'=>'53',
                'template'=>'template_54',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_54",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"55"  
                             },
                             "1": {
                                "name": "no",
                                "out":"70"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a54);


            $a55 = [array(
                'moodle_id'=>55,
                'strang'=>3,
                'abschnitt'=>'5a',
                'state'=>55,
                'name'=>"WP, Strang 3, Abs. 5a, S. 1, Konsequenzen",
                'description'=>'Wertproblem, Strang 3, Abschnitt 5a, Konsequenzen(nach Relevanzprüfung: Ja)',
                'waysout'=>'56',
                'wayback'=>'54',
                'template'=>'template_55',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a55);

            $a56 = [array(
                'moodle_id'=>56,
                'strang'=>3,
                'abschnitt'=>'5a',
                'state'=>56,
                'name'=>"WP, Strang 3, Abs. 5a, S. 2, Abfrage",
                'description'=>'Wertproblem, Strang 3, Abschnitt 5a, Abfrage nach Relevanzprüfung waysout-fork: wenn Ja-57/falls Nein-58',
                'waysout'=>'57,58',
                'wayback'=>'55',
                'template'=>'template_56',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_56",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"57"  
                             },
                             "1": {
                                "name": "no",
                                "out":"58"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a56);

            $a57 = [array(
                'moodle_id'=>57,
                'strang'=>3,
                'abschnitt'=>'6a',
                'state'=>57,
                'name'=>"WP, Strang 3, Abs. 6a, S. 1, Konsequenzen bearbeiten",
                'description'=>'Wertproblem, Strang 3, Abschnitt 6a, Konsequenzen bearbeiten(Ja + Ja)',
                'waysout'=>'58',
                'wayback'=>'56',
                'template'=>'template_57',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a57);

            $a58 = [array(
                'moodle_id'=>58,
                'strang'=>3,
                'abschnitt'=>'7a',
                'state'=>58,
                'name'=>"WP, Strang 3, Abs. 7a, S. 1, ",
                'description'=>'Wertproblem, Strang 3, Abschnitt 7a, Zusammenfassung(Ja + Ja + Konsequenzen bearbeiten / Ja + Nein)',
                'waysout'=>'74', //Begründung
                'wayback'=>'56',
                'template'=>'template_58',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a58);

            $a70 = [array(
                'moodle_id'=>70,
                'strang'=>3,
                'abschnitt'=>'5b',
                'state'=>70,
                'name'=>"WP, Strang 3, Abs. 5b, S. 1, Konsequenzen",
                'description'=>'Wertproblem, Strang 3, Abschnitt 5b, a70 - Konsequenzen(Relevanzprüfung: Nein)',
                'waysout'=>'71',
                'wayback'=>'54',
                'template'=>'template_70',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a70);


            $a71 = [array(
                'moodle_id'=>71,
                'strang'=>3,
                'abschnitt'=>'5b',
                'state'=>71,
                'name'=>"WP, Strang 3, Abs. 5b, S. 2, Abfrage",
                'description'=>'Wertproblem, Strang 3, Abschnitt 5b, Abfrage, D: 56B, waysout-fork: wenn Ja-72/falls Nein-73',
                'waysout'=>'72,73',
                'wayback'=>'70',
                'template'=>'template_71',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_71",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"72"  
                             },
                             "1": {
                                "name": "no",
                                "out":"73"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a71);

            $a72 = [array(
                'moodle_id'=>72,
                'strang'=>3,
                'abschnitt'=>'6b',
                'state'=>72,
                'name'=>"WP, Strang 3, Abs. 6b, S. 1, Konsequenzen bearbeiten",
                'description'=>'Wertproblem, Strang 3, Abschnitt 6b, Konsequenzen bearbeiten(Nein + Ja)',
                'waysout'=>'73',
                'wayback'=>'71',
                'template'=>'template_72',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a72);

            $a73 = [array(
                'moodle_id'=>73,
                'strang'=>3,
                'abschnitt'=>'7b',
                'state'=>73,
                'name'=>"WP, Strang 3, Abs. 7b, S. 1, ",
                'description'=>'Wertproblem, Strang 3, Abschnitt 7b, Zusammenfassung(Nein + Nein / Nein + Ja + Konsequenzen bearbeiten)',
                'waysout'=>'74', //Begründung
                'wayback'=>'71',
                'template'=>'template_73',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a73);


            $a74 = [array(
                'moodle_id'=>74,
                'strang'=>3,
                'abschnitt'=>'7b',
                'state'=>74,
                'name'=>"WP, Strang 3, Abschnitt 7b/a, S. 1",
                'description'=>'Wertproblem, Strang 3, Abschnitt 7b/a - Begründung',
                'waysout'=>'75',
                'wayback'=>'73',
                'template'=>'template_74',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a74);


            $a75 = [array(
                'moodle_id'=>75,
                'strang'=>3,
                'abschnitt'=>'8',
                'state'=>75,
                'name'=>"WP, Strang 3, Abschnitt 8, S. 2",
                'description'=>'Wertproblem, Strang 3, Abschnitt 8',
                'waysout'=>'76',
                'wayback'=>'74',
                'template'=>'template_75',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a75);

            $a76 = [array(
                'moodle_id'=>76,
                'strang'=>3,
                'abschnitt'=>'8',
                'state'=>76,
                'name'=>"WP, Strang 3, Abschnitt 8, S. 3",
                'description'=>'Wertproblem, Strang 3, Abschnitt 8, Endpunkt',
                'waysout'=>'119',
                'wayback'=>'75',
                'template'=>'template_76',
                'end_strang'=>1, 'delay'=>0, 'type'=>'abfrage',
            )];

            $DB->insert_records($table, $a76);

            $a120 = [array(
                'moodle_id'=>120,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>120,
                'name'=>"Ende Modul zur Motivationsregulation bearbeitet Prüfung Stränge",
                'description'=>'Sie haben das gesamte Modul zur Motivationsregulation bearbeitet',
                'waysout'=>'121',
                'wayback'=>'15',
                'template'=>'template_120',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
            )];


            $DB->insert_records($table, $a120);


            $a121 = [array(
                'moodle_id'=>121,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>121,
                'name'=>"Abschluss 1",
                'description'=>'Abschluss 1',
                'waysout'=>'127,127',
                'wayback'=>'120',
                'template'=>'template_121',
                'end_strang'=>0, 'delay'=>0, 'type'=>'abfrage',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_121",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"127"  
                             },
                             "1": {
                                "name": "no",
                                "out":"127"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a121);

            $a127 = [array(
                'moodle_id'=>127,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>127,
                'name'=>"Pause-Seite",
                'description'=>'Pause-Seite',
                'waysout'=>'128',
                'wayback'=>'121',
                'template'=>'template_delay',
                'end_strang'=>0, 'delay'=>604800, 'type'=>'delay',
            )];

            $DB->insert_records($table, $a127);


            $a128 = [array(
                'moodle_id'=>128,
                'strang'=>4,
                'abschnitt'=>'1',
                'state'=>128,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 1",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 1',
                'waysout'=>'129',
                'wayback'=>'121',
                'template'=>'template_128',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a128);

            $a129 = [array(
                'moodle_id'=>129,
                'strang'=>4,
                'abschnitt'=>'1',
                'state'=>129,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 2",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 2',
                'waysout'=>'130',
                'wayback'=>'128',
                'template'=>'template_129',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a129);

            $a130 = [array(
                'moodle_id'=>130,
                'strang'=>4,
                'abschnitt'=>'1',
                'state'=>130,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 3",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 3',
                'waysout'=>'131',
                'wayback'=>'129',
                'template'=>'template_130',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a130);

            $a131 = [array(
                'moodle_id'=>131,
                'strang'=>4,
                'abschnitt'=>'1',
                'state'=>131,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 4",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 4 /  Korrekt B(1)',
                'waysout'=>'1132,132',
                'wayback'=>'130',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "erwartungsproblem1",
                                    "options": {
                                        "0": {
                                            "name": "erwartungsproblemA",
                                            "out":"1132"

                                        },
                                        "1": {
                                            "name": "erwartungsproblemB",
                                            "out":"132"
                                        },
                                        "2": {
                                            "name": "erwartungsproblemC",
                                            "out": "1132"
                                        }
                                    }

                                }
                            }
                }',
                'template'=>'template_131',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a131);



            $a1132 = [array(
                'moodle_id'=>1132,
                'strang'=>4,
                'abschnitt'=>'1',
                'state'=>1132,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 4",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 4 / Korrekt B(1)',
                'waysout'=>'1132,132',
                'wayback'=>'131',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "erwartungsproblem1",
                                    "options": {
                                        "0": {
                                            "name": "erwartungsproblemA",
                                            "out": "1132"
                                        },
                                        "1": {
                                            "name": "erwartungsproblemB",
                                            "out": "132"
                                        },
                                        "2": {
                                            "name": "erwartungsproblemC",
                                            "out": "1132"
                                        }
                                    }

                                }
                            }
                }',
                'template'=>'template_1132',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a1132);





            $a132 = [array(
                'moodle_id'=>132,
                'strang'=>4,
                'abschnitt'=>'1',
                'state'=>132,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 5",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 5',
                'waysout'=>'133',
                'wayback'=>'131',
                'template'=>'template_132',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a132);

            $a133 = [array(
                'moodle_id'=>133,
                'strang'=>0,
                'abschnitt'=>'1',
                'state'=>133,
                'name'=>"Trigger_1 / Abschnitt 1 / Seite 6",
                'description'=>'Trigger_1 / Abschnitt 1 / Seite 6, Gabel: Falls Ja: 135, Falls Nein: 134',
                'waysout'=>'134,135',
                'wayback'=>'132',
                'template'=>'template_133',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_133",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"135"  
                             },
                             "1": {
                                "name": "no",
                                "out":"134"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a133);

            $a134 = [array(
                'moodle_id'=>134,
                'strang'=>0,
                'abschnitt'=>'1b',
                'state'=>134,
                'name'=>"Trigger_1 / Abschnitt 1b",
                'description'=>'Trigger_1 / Abschnitt 1b',
                'waysout'=>'135',
                'wayback'=>'133',
                'template'=>'template_134',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a134);

            $a135 = [array(
                'moodle_id'=>135,
                'strang'=>4,
                'abschnitt'=>'2',
                'state'=>135,
                'name'=>"Trigger_1 / Abschnitt 2",
                'description'=>'Trigger_1 / Abschnitt 2,  Gabel: Falls Ja: 137, Falls Nein: 136',
                'waysout'=>'136,137',
                'wayback'=>'134',
                'template'=>'template_135',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_135",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"137"  
                             },
                             "1": {
                                "name": "no",
                                "out":"136"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a135);

            $a136 = [array(
                'moodle_id'=>136,
                'strang'=>4,
                'abschnitt'=>'2b',
                'state'=>136,
                'name'=>"Trigger_1 / Abschnitt 2b",
                'description'=>'Trigger_1 / Abschnitt 2b',
                'waysout'=>'137',
                'wayback'=>'135',
                'template'=>'template_136',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a136);

            $a137 = [array(
                'moodle_id'=>137,
                'strang'=>4,
                'abschnitt'=>'3',
                'state'=>137,
                'name'=>"Trigger_1 / Abschnitt 3 / Correct 3,5,1,4,2",
                'description'=>'Trigger_1 / Abschnitt 3 / Gabel: Falls correct: 139, Falls wrong: 138',
                'waysout'=>'137,139',
                'wayback'=>'136',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "text",
                                    "name": "schritteB",
                                    "correct": "3,5,1,4,2",
                                    "waysout": {
                                      "0": {
                                        "out": 139,
                                        "values": ["3,5,1,4,2" ]
                                      },
                                      "1": {
                                        "out": 137,
                                        "default": "true"
                                      }
                                    }
                                }
                            }
                }',
                'template'=>'template_137',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a137);
            
            $a139 = [array(
                'moodle_id'=>139,
                'strang'=>4,
                'abschnitt'=>'4',
                'state'=>139,
                'name'=>"Trigger_1 / Abschnitt 4",
                'description'=>'Trigger_1 / Abschnitt 4',
                'waysout'=>'140',
                'wayback'=>'137',
                'template'=>'template_139',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a139);

            $a140 = [array(
                'moodle_id'=>140,
                'strang'=>4,
                'abschnitt'=>'0',
                'state'=>140,
                'name'=>"Trigger_1 / Abschnitt 5 / Seite 1",
                'description'=>'Trigger_1 / Abschnitt 5 / Seite 1',
                'waysout'=>'141',
                'wayback'=>'139',
                'template'=>'template_140',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a140);

            $a141 = [array(
                'moodle_id'=>141,
                'strang'=>4,
                'abschnitt'=>'0',
                'state'=>141,
                'name'=>"Trigger_1 / Abschnitt 5 / Seite 2",
                'description'=>'Trigger_1 / Abschnitt 5 / Seite 2',
                'waysout'=>'255',
                'wayback'=>'140',
                'template'=>'template_141',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger1',
            )];

            $DB->insert_records($table, $a141);

            $a255 = [array(
                'moodle_id'=>255,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>255,
                'name'=>"Pause-Seite",
                'description'=>'Pause-Seite',
                'waysout'=>'256',
                'wayback'=>'141',
                'template'=>'template_delay',
                'end_strang'=>0, 'delay'=>604800, 'type'=>'delay',
            )];

            $DB->insert_records($table, $a255);

            // t2

            $a256 = [array(
                'moodle_id'=>256,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>256,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 1",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite  1',
                'waysout'=>'257',
                'wayback'=>'141',
                'template'=>'template_256',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a256);

            $a257 = [array(
                'moodle_id'=>257,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>257,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 2",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite 2',
                'waysout'=>'258',
                'wayback'=>'256',
                'template'=>'template_257',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a257);

            $a258 = [array(
                'moodle_id'=>258,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>258,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 3",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite 3',
                'waysout'=>'259',
                'wayback'=>'257',
                'template'=>'template_258',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a258);

            $a259 = [array(
                'moodle_id'=>259,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>259,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 4",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite 4 / Korrekt C(2)',
                'waysout'=>'1260,260',
                'wayback'=>'258',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "erwartungsproblem2",
                                    "options": {
                                        "0": {
                                            "name": "erwartungsproblemA",
                                            "out": "1260"
                                        },
                                        "1": {
                                            "name": "erwartungsproblemB",
                                            "out": "1260"
                                        },
                                        "2": {
                                            "name": "erwartungsproblemC",
                                            "out": "260"
                                        }
                                    }

                                }
                            }
                }',
                'template'=>'template_259',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a259);


            $a1260 = [array(
                'moodle_id'=>1260,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>1260,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 4",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite 4 / Korrekt C(2)',
                'waysout'=>'1260,260',
                'wayback'=>'258',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "erwartungsproblem2",
                                    "options": {
                                        "0": {
                                            "name": "erwartungsproblemA",
                                            "out": "1260"
                                        },
                                        "1": {
                                            "name": "erwartungsproblemB",
                                            "out": "1260"
                                        },
                                        "2": {
                                            "name": "erwartungsproblemC",
                                            "out": "260"
                                        }
                                    }

                                }
                            }
                }',
                'template'=>'template_1260',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a1260);

            $a260 = [array(
                'moodle_id'=>260,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>260,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 5",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite 5',
                'waysout'=>'261',
                'wayback'=>'259',
                'template'=>'template_260',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a260);

            $a261 = [array(
                'moodle_id'=>261,
                'strang'=>5,
                'abschnitt'=>'1',
                'state'=>261,
                'name'=>"Trigger_2 / Abschnitt 1 / Seite 6",
                'description'=>'Trigger_2 / Abschnitt 1 / Seite 6, Gabel: Ja 263, Nein 262',
                'waysout'=>'262,263',
                'wayback'=>'260',
                'template'=>'template_261',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_261",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"263"  
                             },
                             "1": {
                                "name": "no",
                                "out":"262"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a261);

            $a262 = [array(
                'moodle_id'=>262,
                'strang'=>5,
                'abschnitt'=>'1b',
                'state'=>262,
                'name'=>"Trigger_2 / Abschnitt 1b",
                'description'=>'Trigger_2 / Abschnitt 1b',
                'waysout'=>'263',
                'wayback'=>'261',
                'template'=>'template_262',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a262);

            $a263 = [array(
                'moodle_id'=>263,
                'strang'=>5,
                'abschnitt'=>'2',
                'state'=>263,
                'name'=>"Trigger_2 / Abschnitt 2",
                'description'=>'Trigger_2 / Abschnitt 2, Gabel: Ja 265, Nein 264',
                'waysout'=>'264,265',
                'wayback'=>'262',
                'template'=>'template_263',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_263",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"265"  
                             },
                             "1": {
                                "name": "no",
                                "out":"264"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a263);

            $a264 = [array(
                'moodle_id'=>264,
                'strang'=>5,
                'abschnitt'=>'2b',
                'state'=>264,
                'name'=>"Trigger_2 / Abschnitt 2b",
                'description'=>'Trigger_2 / Abschnitt 2b',
                'waysout'=>'265',
                'wayback'=>'263',
                'template'=>'template_264',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a264);

            $a265 = [array(
                'moodle_id'=>265,
                'strang'=>5,
                'abschnitt'=>'3',
                'state'=>265,
                'name'=>"Trigger_2 / Abschnitt 3 / Correct a6,b1,c4,d8,e3,f2,g7,h5",
                'description'=>'Trigger_2 / Abschnitt 3 / Gabel: Falls korrekt: 267, Falls wrong: 265',
                'waysout'=>'265,267',
                'wayback'=>'264',
                'template'=>'template_265',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "text",
                                    "name": "schritteW",
                                    "waysout": {
                                      "0": {
                                        "out": 267,
                                        "values": ["6,1,4,7,3,2,5,8" ]
                                      },
                                      "1": {
                                        "out": 265,
                                        "default": "true"
                                      }
                                    }
                                }
                            }
                }',
            )];

            $DB->insert_records($table, $a265);

            $a267 = [array(
                'moodle_id'=>267,
                'strang'=>5,
                'abschnitt'=>'4',
                'state'=>267,
                'name'=>"Trigger_2 / Abschnitt 4",
                'description'=>'Trigger_2 / Abschnitt 4',
                'waysout'=>'268',
                'wayback'=>'265',
                'template'=>'template_267',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a267);

            $a268 = [array(
                'moodle_id'=>268,
                'strang'=>5,
                'abschnitt'=>'2',
                'state'=>268,
                'name'=>"Trigger_2 / Abschnitt 5 / Seite 1",
                'description'=>'Trigger_2 / Abschnitt 5 / Seite 1',
                'waysout'=>'269',
                'wayback'=>'267',
                'template'=>'template_268',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a268);

            $a269 = [array(
                'moodle_id'=>269,
                'strang'=>5,
                'abschnitt'=>'2',
                'state'=>269,
                'name'=>"Trigger_2 / Abschnitt 5 / Seite 2",
                'description'=>'Trigger_2 / Abschnitt 5 / Seite 2',
                'waysout'=>'383',
                'wayback'=>'268',
                'template'=>'template_269',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger2',
            )];

            $DB->insert_records($table, $a269);

            $a383 = [array(
                'moodle_id'=>383,
                'strang'=>0,
                'abschnitt'=>'0',
                'state'=>383,
                'name'=>"Pause-Seite",
                'description'=>'Pause-Seite',
                'waysout'=>'384',
                'wayback'=>'269',
                'template'=>'template_delay',
                'end_strang'=>0, 'delay'=>604800, 'type'=>'delay',
            )];

            $DB->insert_records($table, $a383);

            //   t3

            $a384 = [array(
                'moodle_id'=>384,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>384,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 1",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite  1',
                'waysout'=>'385',
                'wayback'=>'269',
                'template'=>'template_384',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a384);

            $a385 = [array(
                'moodle_id'=>385,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>385,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 2",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite 2',
                'waysout'=>'386',
                'wayback'=>'384',
                'template'=>'template_385',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a385);

            $a386 = [array(
                'moodle_id'=>386,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>386,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 3",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite 3 / Korrekt A(0)',
                'waysout'=>'387',
                'wayback'=>'385',
                'template'=>'template_386',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a386);

            $a387 = [array(
                'moodle_id'=>387,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>387,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 4",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite 4 / Korrekt A(0)',
                'waysout'=>'1388,388',
                'wayback'=>'386',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "erwartungsproblem3",
                                    "options": {
                                        "0": {
                                            "name": "erwartungsproblemA",
                                            "out": "388"
                                        },
                                        "1": {
                                            "name": "erwartungsproblemB",
                                            "out": "1388"
                                        },
                                        "2": {
                                            "name": "erwartungsproblemC",
                                            "out": "1388"
                                        }
                                    }

                                }
                            }
                }',
                'template'=>'template_387',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a387);

            $a1388 = [array(
                'moodle_id'=>1388,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>1388,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 4",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite 4 / Korrekt A(0)',
                'waysout'=>'1387,388',
                'wayback'=>'386',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "radio",
                                    "name": "erwartungsproblem3",
                                    "options": {
                                        "0": {
                                            "name": "erwartungsproblemA",
                                            "out": "388"
                                        },
                                        "1": {
                                            "name": "erwartungsproblemB",
                                            "out": "1388"
                                        },
                                        "2": {
                                            "name": "erwartungsproblemC",
                                            "out": "1388"
                                        }
                                    }

                                }
                            }
                }',
                'template'=>'template_1388',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a1388);

            $a388 = [array(
                'moodle_id'=>388,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>388,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 5",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite 5',
                'waysout'=>'389',
                'wayback'=>'387',
                'template'=>'template_388',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a388);

            $a389 = [array(
                'moodle_id'=>389,
                'strang'=>6,
                'abschnitt'=>'1',
                'state'=>389,
                'name'=>"Trigger_3 / Abschnitt 1 / Seite 6",
                'description'=>'Trigger_3 / Abschnitt 1 / Seite 6, Gabel: Ja 391, Nein 390',
                'waysout'=>'390,391',
                'wayback'=>'388',
                'template'=>'template_389',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_389",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out":"391"  
                             },
                             "1": {
                                "name": "no",
                                "out":"390"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a389);

            $a390 = [array(
                'moodle_id'=>390,
                'strang'=>6,
                'abschnitt'=>'1b',
                'state'=>390,
                'name'=>"Trigger_3 / Abschnitt 1b",
                'description'=>'Trigger_3 / Abschnitt 1b',
                'waysout'=>'391',
                'wayback'=>'389',
                'template'=>'template_390',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a390);

            $a391 = [array(
                'moodle_id'=>391,
                'strang'=>6,
                'abschnitt'=>'2',
                'state'=>391,
                'name'=>"Trigger_3 / Abschnitt 2",
                'description'=>'Trigger_3 / Abschnitt 2, Gabel: Ja 393, Nein 392',
                'waysout'=>'392,393',
                'wayback'=>'390',
                'template'=>'template_391',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
                'questions'=>'{
                    "data": {
                       "0": {
                          "type": "radio",
                          "name": "choice_391",
                          "options": {
                             "0": {
                                "name": "yes",
                                "out": "393"  
                             },
                             "1": {
                                "name": "no",
                                "out": "392"
                             }
                          }
                       }
                  }
                }'
            )];

            $DB->insert_records($table, $a391);

            $a392 = [array(
                'moodle_id'=>392,
                'strang'=>6,
                'abschnitt'=>'2b',
                'state'=>392,
                'name'=>"Trigger_3 / Abschnitt 2b",
                'description'=>'Trigger_3 / Abschnitt 2b',
                'waysout'=>'393',
                'wayback'=>'391',
                'template'=>'template_392',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a392);

            $a393 = [array(
                'moodle_id'=>393,
                'strang'=>6,
                'abschnitt'=>'3',
                'state'=>393,
                'name'=>"Trigger_3 / Abschnitt 3 / Correct 3,1,7,5,6,2,8,4",
                'description'=>'Trigger_3 / Abschnitt 3',
                'waysout'=>'393,395',
                'wayback'=>'392',
                'template'=>'template_393',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
                'questions'=>'{
                            "data": {
                                "0": {
                                    "type": "text",
                                    "name": "schritteA",
                                    "waysout": {
                                      "0": {
                                        "out": "395",
                                        "values": ["3,1,7,5,6,2,8,4" ]
                                      },
                                      "1": {
                                        "out": 393,
                                        "default": "true"
                                      }
                                    }
                                }
                            }
                }'
            )];

            $DB->insert_records($table, $a393);

            $a395 = [array(
                'moodle_id'=>395,
                'strang'=>6,
                'abschnitt'=>'4',
                'state'=>395,
                'name'=>"Trigger_3 / Abschnitt 4",
                'description'=>'Trigger_3 / Abschnitt 4',
                'waysout'=>'396',
                'wayback'=>'393',
                'template'=>'template_395',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a395);

            $a396 = [array(
                'moodle_id'=>396,
                'strang'=>6,
                'abschnitt'=>'2',
                'state'=>396,
                'name'=>"Trigger_3 / Abschnitt 2",
                'description'=>'Trigger_3 / Abschnitt 2',
                'waysout'=>'397',
                'wayback'=>'395',
                'template'=>'template_396',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a396);

            $a397 = [array(
                'moodle_id'=>397,
                'strang'=>6,
                'abschnitt'=>'2',
                'state'=>397,
                'name'=>"Trigger_3 / Abschnitt 2",
                'description'=>'Trigger_3 / Abschnitt 2',
                'waysout'=>'397',
                'wayback'=>'396',
                'template'=>'template_397',
                'end_strang'=>0, 'delay'=>0, 'type'=>'trigger3',
            )];

            $DB->insert_records($table, $a397);

            $transaction->allow_commit();
            if ($print) {
                echo "<br><br>new content of table splernstrategien_modules<br> ";
                var_dump($DB->get_records($table));
            }
        } catch (\Exception $e) {
            $transaction->rollback($e);
            throw $e;
        }
    }

}
