<?php
/**
 * Diese Datei ist Teil von „Lernstrategien“ 
 * (Dateiname: „mod_splernstrategien“), einer Plugin-Software 
 * für das moodle LMS.
 *
 * Das moodle LMS ist lizenziert mit der GNU General Public 
 * License Version 3. Aktuelle Lizenzhinweise zu moodle 
 * finden Sie unter: https://moodledev.io/general/license.
 *
 * Das Plugin ist lizenziert mit der GNU General Public 
 * License Version 3. Anzugebender Urheber des Plugins ist
 * die „metromorph softworks GmbH im Auftrag von ORCA.nrw“.
 * Die Lizenzierung umfasst nicht die Inhalte, die auf der
 * Anwenderoberfläche des Plugins angezeigt werden; diese sind 
 * ihrerseits CC BY-SA 4.0 lizenziert.
 *
 * Sie sollten eine Kopie der GNU-Lizenz zusammen mit diesem 
 * Programm erhalten haben. Sie finden sie auch unter 
 * https://www.gnu.org/licenses. Die CC-Lizenz finden Sie
 * unter https://creativecommons.org/licenses/by-sa/4.0/deed.de.
 */

/**
 * upgrade datenbank
 *
 * @package    mod_splernstrategien
 * @category   upgrade
 * @license    https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


 /**
 * @param int $oldversion the version we are upgrading from
 * @return bool result
 */
function xmldb_splernstrategien_upgrade($oldversion) {
     global $DB;

     $dbman = $DB->get_manager();


     if ($oldversion < 2023030973) {

     } 
     if ($oldversion < 2023082501) {
        // Clean States-table
        $tablename = 'splernstrategien_modules';
        $table = new xmldb_table($tablename);
        if ($dbman->table_exists($table)){
            $DB->delete_records($tablename);
        }

        // Define field name to be dropped from splernstrategien_users.
        $table = new xmldb_table('splernstrategien_users');
        $field = new xmldb_field('name');
        // Conditionally launch drop field name.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('firstname');
        // Conditionally launch drop field firstname.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('lastname');
        // Conditionally launch drop field lastname.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('email');
        // Conditionally launch drop field email.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        } 
        $field = new xmldb_field('time_mail');

        // Conditionally launch drop field time_mail.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger_wanted');

        // Conditionally launch drop field trigger_wanted.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger1_finished');
        // Conditionally launch drop field trigger1_finished.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger2_finished');
        // Conditionally launch drop field trigger2_finished.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger3_finished');
        // Conditionally launch drop field trigger3_finished.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger4_finished');
        // Conditionally launch drop field trigger4_finished.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger5_finished');
        // Conditionally launch drop field trigger5_finished.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        $field = new xmldb_field('trigger6_finished');
        // Conditionally launch drop field trigger6_finished.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }
        // Splernstrategien savepoint reached.
        upgrade_mod_savepoint(true, 2023082501, 'splernstrategien');
     }
     if ($oldversion < 2023100201) {
        // Clean States-table
        // Insert this snippet whenever there are changes to the 
        // states-table (i.e. classes/states.php).
        // One occurrence on the last upgrade is sufficient.
        $tablename = 'splernstrategien_modules';
        $table = new xmldb_table($tablename);
        if ($dbman->table_exists($table)){
            $DB->delete_records($tablename);
        }

        // Define field libs to be dropped from splernstrategien_modules.
        $table = new xmldb_table('splernstrategien_modules');
        $field = new xmldb_field('libs');
        // Conditionally launch drop field libs.
        if ($dbman->field_exists($table, $field)) {
            $dbman->drop_field($table, $field);
        }

        // Splernstrategien savepoint reached.
        upgrade_mod_savepoint(true, 2023100201, 'splernstrategien');
     }

     if ($oldversion < 2023120500) {

        // Splernstrategien savepoint reached.     
        upgrade_mod_savepoint(true, 2023120500, 'splernstrategien');
     }
     return true;
}
